Skip to content
Start here

Updates the Zero Trust Connectivity Settings

client.zeroTrust.connectivitySettings.edit(ConnectivitySettingEditParams { account_id, icmp_proxy_enabled, offramp_warp_enabled } params, RequestOptionsoptions?): ConnectivitySettingEditResponse { icmp_proxy_enabled, offramp_warp_enabled }
PATCH/accounts/{account_id}/zerotrust/connectivity_settings

Updates the Zero Trust Connectivity Settings for the given account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params: ConnectivitySettingEditParams { account_id, icmp_proxy_enabled, offramp_warp_enabled }
account_id: string

Path param: Cloudflare account ID

maxLength32
icmp_proxy_enabled?: boolean

Body param: A flag to enable the ICMP proxy for the account network.

offramp_warp_enabled?: boolean

Body param: A flag to enable WARP to WARP traffic.

ReturnsExpand Collapse
ConnectivitySettingEditResponse { icmp_proxy_enabled, offramp_warp_enabled }
icmp_proxy_enabled?: boolean

A flag to enable the ICMP proxy for the account network.

offramp_warp_enabled?: boolean

A flag to enable WARP to WARP traffic.

Updates the Zero Trust Connectivity Settings

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.zeroTrust.connectivitySettings.edit({
  account_id: '699d98642c564d2e855e9661899b7252',
});

console.log(response.icmp_proxy_enabled);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}